Compliance
GET
organization_id*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uridocuments*array<>|nulleligibility*profile*settlement*curl -X GET 'https://example.com/api/v1/organizations/string/compliance'Example Response
{ "$schema": "https://example.com/schemas/Overview.json", "documents": [ { "$schema": "https://example.com/schemas/KYCDocument.json", "contentType": "string", "createdAt": "2019-08-24T14:15:22Z", "finalizedAt": "2019-08-24T14:15:22Z", "id": "string", "kind": "string", "sizeBytes": 0, "status": "string" } ], "eligibility": { "eligible": true, "kycStatus": "string", "settlementVerified": true }, "profile": { "$schema": "https://example.com/schemas/KYCProfile.json", "contactEmail": "string", "contactName": "string", "contactPhone": "string", "createdAt": "2019-08-24T14:15:22Z", "entityType": "string", "legalName": "string", "organizationId": "string", "pan": "string", "registeredAddress": "string", "registeredCity": "string", "registeredCountry": "string", "registeredPostalCode": "string", "registeredState": "string", "rejectionReason": "string", "reviewedAt": "2019-08-24T14:15:22Z", "reviewedBy": "string", "status": "string", "submittedAt": "2019-08-24T14:15:22Z", "taxIdentifier": "string", "updatedAt": "2019-08-24T14:15:22Z" }, "settlement": { "$schema": "https://example.com/schemas/SettlementAccount.json", "accountNumber": "string", "beneficiaryName": "string", "branchCode": "string", "createdAt": "2019-08-24T14:15:22Z", "id": "string", "ifsc": "string", "updatedAt": "2019-08-24T14:15:22Z", "verificationNotes": "string", "verified": true, "verifiedAt": "2019-08-24T14:15:22Z" }}POST
organization_id*stringapplication/json- body
contentType*stringfilename*stringkind*stringsize*integerFormat
int64OK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uridocumentId*stringexpiresAt*stringFormat
date-timeuploadUrl*stringcurl -X POST 'https://example.com/api/v1/organizations/string/compliance/documents' \ -H 'Content-Type: application/json' \ -d '{ "contentType": "string", "filename": "string", "kind": "string", "size": 0}'Example Response
{ "$schema": "https://example.com/schemas/DocumentUploadIntent.json", "documentId": "string", "expiresAt": "2019-08-24T14:15:22Z", "uploadUrl": "string"}DELETE
organization_id*stringdocument_id*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uriremoved*booleancurl -X DELETE 'https://example.com/api/v1/organizations/string/compliance/documents/string'Example Response
{ "$schema": "https://example.com/schemas/RemovedOutputBody.json", "removed": true}POST
organization_id*stringdocument_id*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uricontentType*stringcreatedAt*stringFormat
date-timefinalizedAt?stringFormat
date-timeid*stringkind*stringsizeBytes*integerFormat
int64status*stringcurl -X POST 'https://example.com/api/v1/organizations/string/compliance/documents/string/confirm'Example Response
{ "$schema": "https://example.com/schemas/KYCDocument.json", "contentType": "string", "createdAt": "2019-08-24T14:15:22Z", "finalizedAt": "2019-08-24T14:15:22Z", "id": "string", "kind": "string", "sizeBytes": 0, "status": "string"}GET
organization_id*stringdocument_id*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uriurl*stringcurl -X GET 'https://example.com/api/v1/organizations/string/compliance/documents/string/url'Example Response
{ "$schema": "https://example.com/schemas/DocumentURLOutputBody.json", "url": "string"}PUT
organization_id*stringapplication/json- body
contactEmail*stringcontactName*stringcontactPhone*stringentityType*stringlegalName*stringpan*stringregisteredAddress*stringregisteredCity*stringregisteredCountry*stringregisteredPostalCode*stringregisteredState*stringtaxIdentifier*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uricontactEmail*stringcontactName*stringcontactPhone*stringcreatedAt*stringFormat
date-timeentityType*stringlegalName*stringorganizationId*stringpan*stringregisteredAddress*stringregisteredCity*stringregisteredCountry*stringregisteredPostalCode*stringregisteredState*stringrejectionReason?stringreviewedAt?stringFormat
date-timereviewedBy?stringstatus*stringsubmittedAt?stringFormat
date-timetaxIdentifier*stringupdatedAt*stringFormat
date-timecurl -X PUT 'https://example.com/api/v1/organizations/string/compliance/kyc' \ -H 'Content-Type: application/json' \ -d '{ "contactEmail": "string", "contactName": "string", "contactPhone": "string", "entityType": "string", "legalName": "string", "pan": "string", "registeredAddress": "string", "registeredCity": "string", "registeredCountry": "string", "registeredPostalCode": "string", "registeredState": "string", "taxIdentifier": "string"}'Example Response
{ "$schema": "https://example.com/schemas/KYCProfile.json", "contactEmail": "string", "contactName": "string", "contactPhone": "string", "createdAt": "2019-08-24T14:15:22Z", "entityType": "string", "legalName": "string", "organizationId": "string", "pan": "string", "registeredAddress": "string", "registeredCity": "string", "registeredCountry": "string", "registeredPostalCode": "string", "registeredState": "string", "rejectionReason": "string", "reviewedAt": "2019-08-24T14:15:22Z", "reviewedBy": "string", "status": "string", "submittedAt": "2019-08-24T14:15:22Z", "taxIdentifier": "string", "updatedAt": "2019-08-24T14:15:22Z"}POST
organization_id*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uricontactEmail*stringcontactName*stringcontactPhone*stringcreatedAt*stringFormat
date-timeentityType*stringlegalName*stringorganizationId*stringpan*stringregisteredAddress*stringregisteredCity*stringregisteredCountry*stringregisteredPostalCode*stringregisteredState*stringrejectionReason?stringreviewedAt?stringFormat
date-timereviewedBy?stringstatus*stringsubmittedAt?stringFormat
date-timetaxIdentifier*stringupdatedAt*stringFormat
date-timecurl -X POST 'https://example.com/api/v1/organizations/string/compliance/kyc/submit'Example Response
{ "$schema": "https://example.com/schemas/KYCProfile.json", "contactEmail": "string", "contactName": "string", "contactPhone": "string", "createdAt": "2019-08-24T14:15:22Z", "entityType": "string", "legalName": "string", "organizationId": "string", "pan": "string", "registeredAddress": "string", "registeredCity": "string", "registeredCountry": "string", "registeredPostalCode": "string", "registeredState": "string", "rejectionReason": "string", "reviewedAt": "2019-08-24T14:15:22Z", "reviewedBy": "string", "status": "string", "submittedAt": "2019-08-24T14:15:22Z", "taxIdentifier": "string", "updatedAt": "2019-08-24T14:15:22Z"}PUT
organization_id*stringapplication/json- body
accountNumber*stringbeneficiaryName*stringbranchCode*stringifsc*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uriaccountNumber*stringbeneficiaryName*stringbranchCode*stringcreatedAt*stringFormat
date-timeid*stringifsc*stringupdatedAt*stringFormat
date-timeverificationNotes?stringverified*booleanverifiedAt?stringFormat
date-timecurl -X PUT 'https://example.com/api/v1/organizations/string/compliance/settlement' \ -H 'Content-Type: application/json' \ -d '{ "accountNumber": "string", "beneficiaryName": "string", "branchCode": "string", "ifsc": "string"}'Example Response
{ "$schema": "https://example.com/schemas/SettlementAccount.json", "accountNumber": "string", "beneficiaryName": "string", "branchCode": "string", "createdAt": "2019-08-24T14:15:22Z", "id": "string", "ifsc": "string", "updatedAt": "2019-08-24T14:15:22Z", "verificationNotes": "string", "verified": true, "verifiedAt": "2019-08-24T14:15:22Z"}